org.apache.catalina.authenticator.jaspic

## Class CallbackHandlerImpl

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.CallbackHandlerImpl

- All Implemented Interfaces:
    CallbackHandler

      public class CallbackHandlerImpl
      extends Object
      implements CallbackHandler

  Implemented as a singleton since the class is stateless.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CallbackHandler` | `getInstance()`
    `void` | `handle(Callback[] callbacks)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CallbackHandler getInstance()

    - #### handle

          public void handle(Callback[] callbacks)
                      throws IOException,
                             UnsupportedCallbackException

      Specified by:
        `handle` in interface `CallbackHandler`
      Throws:
        `IOException`
        `UnsupportedCallbackException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.